API ReferenceRecurring
Get a recurring schedule by ID
Returns full details for a recurring invoice schedule including its line item template.
Authorization
apiKey AuthorizationBearer <token>
API key issued from your AgentInvoice account settings.
In: header
Path Parameters
id*integer
Recurring schedule ID
Response Body
application/json
application/json
curl -X GET "https://app.agentinvoice.co/api/recurring-schedules/0"{
"id": 10,
"clientId": 42,
"frequency": "monthly",
"customIntervalDays": 0,
"currency": "USD",
"notes": "string",
"terms": "string",
"lineItems": [
{
"id": 1,
"description": "Monthly retainer",
"quantity": "1.00",
"unitPrice": "2000.00",
"taxRate": "0.10",
"amount": "2000.00",
"sortOrder": 0
}
],
"autoSend": true,
"isActive": true,
"maxInvoices": 0,
"nextRunAt": "2019-08-24T14:15:22Z",
"lastRunAt": "2019-08-24T14:15:22Z",
"totalGenerated": 6,
"clientName": "string",
"clientEmail": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": "Not found",
"code": "NOT_FOUND"
}